﻿using System;
using System.Runtime.Serialization;

namespace LKFWSContracts
{

    [DataContract]
    public class ServerInfo
    {
        [DataMember]
        public string version { get; set; }
        [DataMember]
        public uint minimumModelYear { get; set; }
        [DataMember]
        public uint maximumModelYear { get; set; }

        public override string ToString()
        {
            return string.Format("version = {0}, minModel = {1}, maxModel = {2}", version, minimumModelYear, maximumModelYear);
        }
    }
}
