//
//  LKFAnonymizationSettings.swift
//  lkfc
//
//  Created by Alexander Holzer on 16.06.23.
//  Copyright © 2023 Alexander Holzer. All rights reserved.
//

import Foundation

open class LKFAnonymizationSettings {
    
    public let aufid : Bool
    public let staat : Bool
    public let kanr : String?
    public let gebdat : Bool
    public let aufdat : Bool
    
    public init (aufid: Bool = true, staat: Bool = true, aufdat: Bool = true, gebdat: Bool = true, kanr: String? = nil) {
        self.aufid = aufid
        self.staat = staat
        self.kanr = kanr
        self.gebdat = gebdat
        self.aufdat = aufdat
    }
    
}
