﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.stat
{
    public class StatBundesland
    {
        public readonly string Name;
        public readonly int CountAufenthalte;
        public readonly int CountAmbulant;

        internal StatBundesland (StatContext context, uint index)
        {
            Name = context.GetLineName(StatType.Bundesland, index);
            CountAufenthalte = context.GetIntValue(StatType.Bundesland, index, StatField.AufCount);
            CountAmbulant = context.GetIntValue(StatType.Alter, index, StatField.Amb);

        }
    }
}
